Page MenuHomewrite.as

Support changing config values via web
Closed, ResolvedPublic

Description

Overview

Let users change certain AppCfg values via the Admin interface -- especially ones that will change more often.

Implementation

On the dashboard, include a table with the full configuration (minus sensitive data). Allow some values to be changed:

  • OpenRegistration (checkbox)
  • MinUsernameLen (number)
  • MaxBlogs (number)
  • PublicStats (checkbox)
  • Private (checkbox)

Each should also have some information below it about what the setting does.

Event Timeline

matt created this task.Nov 21 2018, 5:06 PM
matt created this object with visibility "Public (No Login Required)".
matt updated the task description. (Show Details)
matt added a parent task: T538: Admin interface.
matt added a comment.Dec 3 2018, 10:33 PM

Still need to describe what each setting does, but this is nearly complete.

matt closed this task as Resolved.Dec 5 2018, 11:59 PM

Actually, I think this is good for now.